matrix {base} | R Documentation

## Matrices

### Description

`matrix` creates a matrix from the given set of values.

`as.matrix` attempts to turn its argument into a matrix.

`is.matrix` tests if its argument is a (strict) matrix.

### Usage

    matrix(data = NA, nrow = 1, ncol = 1, byrow = FALSE, dimnames = NULL)
    as.matrix(x)
    is.matrix(x)

### Arguments

`data` | an optional data vector.
`nrow` | the desired number of rows
`ncol` | the desired number of columns
`byrow` | logical. If `FALSE` (the default) the matrix is filled by columns, otherwise the matrix is filled by rows.
`dimnames` | A `dimnames` attribute for the matrix: a `list` of length 2.
`x` | an R object.

### Details

If either of `nrow` or `ncol` is not given, an attempt is made to infer it from the length of `data` and the other parameter.

`is.matrix` returns `TRUE` if `x` is a matrix (i.e., it not a `data.frame` and has a `dim` attribute of length 2) and `FALSE` otherwise.

### See Also

`data.matrix`.

### Examples

    is.matrix(as.matrix(1:10))
    data(warpbreaks)
    !is.matrix(warpbreaks)# data.frame, NOT matrix!
    str(warpbreaks)
    str(as.matrix(warpbreaks))#using as.matrix.data.frame(.) method